IDL Scripting doesn't work

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

IDL Scripting doesn't work

Hemminger,
	Donald F CTR USAF AETC AFIT/ENP

I’m trying to get the IDL Scripting extension working in Opticks 4.8.0 (64-bit).  I have a licensed copy of IDL (6.1)  It seems to install OK and in the scripting options, I select version 6.1 and point to the correct idl.dll, but when I open the IDL Scripting window, it says there is a problem.  Any suggestions?  Is there a problem accessing a 32 bit version of IDL form a 64-bit version of Opticks?

 

Regards,

Don Hemminger - Contractor

937-255-3636 x7314 (AFIT)

937-232-8620 (mobile)

 


------------------------------------------------------------------------------
Everyone hates slow websites. So do we.
Make your web apps faster with AppDynamics
Download AppDynamics Lite for free today:
http://p.sf.net/sfu/appdyn_d2d_feb
_______________________________________________
Opticks-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: IDL Scripting doesn't work

dadkins
Administrator

Don,

 

Correct. You need to make sure that you are pointing to the 64-bit version of IDL if you are using the 64-bit version of Opticks.

The 64-bit IDL dlls are usually installed at C:\Program Files\ITT\IDL61\bin\bin.x86_64.

 

For 64-bit versions you may also need to patch or replace dlls in the IDL installation due to a problem with the dlls that shipped with that version of IDL.

Please see the IDL Help for more details.

 

Thanks,

Dustan

 

From: Hemminger, Donald F CTR USAF AETC AFIT/ENP [mailto:[hidden email]]
Sent: Monday, February 25, 2013 5:07 PM
To: [hidden email]
Subject: [Opticks-users] IDL Scripting doesn't work

 

I’m trying to get the IDL Scripting extension working in Opticks 4.8.0 (64-bit).  I have a licensed copy of IDL (6.1)  It seems to install OK and in the scripting options, I select version 6.1 and point to the correct idl.dll, but when I open the IDL Scripting window, it says there is a problem.  Any suggestions?  Is there a problem accessing a 32 bit version of IDL form a 64-bit version of Opticks?

 

Regards,

Don Hemminger - Contractor

937-255-3636 x7314 (AFIT)

937-232-8620 (mobile)

 


This message and any enclosures are intended only for the addressee.  Please 

notify the sender by email if you are not the intended recipient.  If you are 

not the intended recipient, you may not use, copy, disclose, or distribute this 

message or its contents or enclosures to any other person and any such actions 

may be unlawful.  Ball reserves the right to monitor and review all messages 

and enclosures sent to or from this email address.

------------------------------------------------------------------------------
Everyone hates slow websites. So do we.
Make your web apps faster with AppDynamics
Download AppDynamics Lite for free today:
http://p.sf.net/sfu/appdyn_d2d_feb
_______________________________________________
Opticks-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: IDL Scripting doesn't work

Hemminger,
	Donald F CTR USAF AETC AFIT/ENP
Dustan

Thanks.  So I'm thinking about options based on my current situation.
Can I:

- Use IDL Scripting extension with IDL 8.x.  It looks like it currently
only supports IDL 6.1, 6.3, 6.4, 7.0 and 7.1

- Install Opticks 32-bit on a 64-bit PC/OS so it works with IDL 6.1?
Not optimal, but ...

Thanks again,
Don Hemminger



-----Original Message-----
From: Adkins, Dustan [mailto:[hidden email]]
Sent: Tuesday, February 26, 2013 8:36 AM
To: [hidden email]
Subject: Re: [Opticks-users] IDL Scripting doesn't work

Don,

 

Correct. You need to make sure that you are pointing to the 64-bit
version of IDL if you are using the 64-bit version of Opticks.

The 64-bit IDL dlls are usually installed at C:\Program
Files\ITT\IDL61\bin\bin.x86_64.

 

For 64-bit versions you may also need to patch or replace dlls in the
IDL installation due to a problem with the dlls that shipped with that
version of IDL.

Please see the IDL Help for more details.

 

Thanks,

Dustan

 

From: Hemminger, Donald F CTR USAF AETC AFIT/ENP
[mailto:[hidden email]]
Sent: Monday, February 25, 2013 5:07 PM
To: [hidden email]
Subject: [Opticks-users] IDL Scripting doesn't work

 

I'm trying to get the IDL Scripting extension working in Opticks 4.8.0
(64-bit).  I have a licensed copy of IDL (6.1)  It seems to install OK
and in the scripting options, I select version 6.1 and point to the
correct idl.dll, but when I open the IDL Scripting window, it says there
is a problem.  Any suggestions?  Is there a problem accessing a 32 bit
version of IDL form a 64-bit version of Opticks?

 

Regards,

Don Hemminger - Contractor

937-255-3636 x7314 (AFIT)

937-232-8620 (mobile)

 



This message and any enclosures are intended only for the addressee.
Please

notify the sender by email if you are not the intended recipient.  If
you are

not the intended recipient, you may not use, copy, disclose, or
distribute this

message or its contents or enclosures to any other person and any such
actions

may be unlawful.  Ball reserves the right to monitor and review all
messages

and enclosures sent to or from this email address.

------------------------------------------------------------------------------
Everyone hates slow websites. So do we.
Make your web apps faster with AppDynamics
Download AppDynamics Lite for free today:
http://p.sf.net/sfu/appdyn_d2d_feb
_______________________________________________
Opticks-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: IDL Scripting doesn't work

dadkins
Administrator
Don,

You can install 32-bit Opticks on a 64-bit system.

Thanks,
Dustan

-----Original Message-----
From: Hemminger, Donald F CTR USAF AETC AFIT/ENP
[mailto:[hidden email]]
Sent: Tuesday, February 26, 2013 10:25 AM
To: [hidden email]
Subject: Re: [Opticks-users] IDL Scripting doesn't work

Dustan

Thanks.  So I'm thinking about options based on my current situation.
Can I:

- Use IDL Scripting extension with IDL 8.x.  It looks like it currently
only supports IDL 6.1, 6.3, 6.4, 7.0 and 7.1

- Install Opticks 32-bit on a 64-bit PC/OS so it works with IDL 6.1?
Not optimal, but ...

Thanks again,
Don Hemminger



-----Original Message-----
From: Adkins, Dustan [mailto:[hidden email]]
Sent: Tuesday, February 26, 2013 8:36 AM
To: [hidden email]
Subject: Re: [Opticks-users] IDL Scripting doesn't work

Don,

 

Correct. You need to make sure that you are pointing to the 64-bit
version of IDL if you are using the 64-bit version of Opticks.

The 64-bit IDL dlls are usually installed at C:\Program
Files\ITT\IDL61\bin\bin.x86_64.

 

For 64-bit versions you may also need to patch or replace dlls in the
IDL installation due to a problem with the dlls that shipped with that
version of IDL.

Please see the IDL Help for more details.

 

Thanks,

Dustan

 

From: Hemminger, Donald F CTR USAF AETC AFIT/ENP
[mailto:[hidden email]]
Sent: Monday, February 25, 2013 5:07 PM
To: [hidden email]
Subject: [Opticks-users] IDL Scripting doesn't work

 

I'm trying to get the IDL Scripting extension working in Opticks 4.8.0
(64-bit).  I have a licensed copy of IDL (6.1)  It seems to install OK
and in the scripting options, I select version 6.1 and point to the
correct idl.dll, but when I open the IDL Scripting window, it says there
is a problem.  Any suggestions?  Is there a problem accessing a 32 bit
version of IDL form a 64-bit version of Opticks?

 

Regards,

Don Hemminger - Contractor

937-255-3636 x7314 (AFIT)

937-232-8620 (mobile)

 



This message and any enclosures are intended only for the addressee.
Please

notify the sender by email if you are not the intended recipient.  If
you are

not the intended recipient, you may not use, copy, disclose, or
distribute this

message or its contents or enclosures to any other person and any such
actions

may be unlawful.  Ball reserves the right to monitor and review all
messages

and enclosures sent to or from this email address.

------------------------------------------------------------------------
------
Everyone hates slow websites. So do we.
Make your web apps faster with AppDynamics
Download AppDynamics Lite for free today:
http://p.sf.net/sfu/appdyn_d2d_feb
_______________________________________________
Opticks-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-users



This message and any enclosures are intended only for the addressee.  Please

notify the sender by email if you are not the intended recipient.  If you are

not the intended recipient, you may not use, copy, disclose, or distribute this

message or its contents or enclosures to any other person and any such actions

may be unlawful.  Ball reserves the right to monitor and review all messages

and enclosures sent to or from this email address.

------------------------------------------------------------------------------
Everyone hates slow websites. So do we.
Make your web apps faster with AppDynamics
Download AppDynamics Lite for free today:
http://p.sf.net/sfu/appdyn_d2d_feb
_______________________________________________
Opticks-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: IDL Scripting doesn't work

tclarke
Administrator
In reply to this post by Hemminger, Donald F CTR USAF AETC AFIT/ENP
A third option would be to port the IDL extension to 8.x. I don't
believe they've made major changes to their embedding API so a port
might just require changing some of the VS project settings, pointing
them at the 8.x includes and libs, then building.

-----Original Message-----
From: Hemminger, Donald F CTR USAF AETC AFIT/ENP
[mailto:[hidden email]]
Sent: Tuesday, February 26, 2013 10:25 AM
To: [hidden email]
Subject: Re: [Opticks-users] IDL Scripting doesn't work

Dustan

Thanks.  So I'm thinking about options based on my current situation.
Can I:

- Use IDL Scripting extension with IDL 8.x.  It looks like it currently
only supports IDL 6.1, 6.3, 6.4, 7.0 and 7.1

- Install Opticks 32-bit on a 64-bit PC/OS so it works with IDL 6.1?
Not optimal, but ...

Thanks again,
Don Hemminger



-----Original Message-----
From: Adkins, Dustan [mailto:[hidden email]]
Sent: Tuesday, February 26, 2013 8:36 AM
To: [hidden email]
Subject: Re: [Opticks-users] IDL Scripting doesn't work

Don,

 

Correct. You need to make sure that you are pointing to the 64-bit
version of IDL if you are using the 64-bit version of Opticks.

The 64-bit IDL dlls are usually installed at C:\Program
Files\ITT\IDL61\bin\bin.x86_64.

 

For 64-bit versions you may also need to patch or replace dlls in the
IDL installation due to a problem with the dlls that shipped with that
version of IDL.

Please see the IDL Help for more details.

 

Thanks,

Dustan

 

From: Hemminger, Donald F CTR USAF AETC AFIT/ENP
[mailto:[hidden email]]
Sent: Monday, February 25, 2013 5:07 PM
To: [hidden email]
Subject: [Opticks-users] IDL Scripting doesn't work

 

I'm trying to get the IDL Scripting extension working in Opticks 4.8.0
(64-bit).  I have a licensed copy of IDL (6.1)  It seems to install OK
and in the scripting options, I select version 6.1 and point to the
correct idl.dll, but when I open the IDL Scripting window, it says there
is a problem.  Any suggestions?  Is there a problem accessing a 32 bit
version of IDL form a 64-bit version of Opticks?

 

Regards,

Don Hemminger - Contractor

937-255-3636 x7314 (AFIT)

937-232-8620 (mobile)

 



This message and any enclosures are intended only for the addressee.
Please

notify the sender by email if you are not the intended recipient.  If
you are

not the intended recipient, you may not use, copy, disclose, or
distribute this

message or its contents or enclosures to any other person and any such
actions

may be unlawful.  Ball reserves the right to monitor and review all
messages

and enclosures sent to or from this email address.

------------------------------------------------------------------------
------
Everyone hates slow websites. So do we.
Make your web apps faster with AppDynamics
Download AppDynamics Lite for free today:
http://p.sf.net/sfu/appdyn_d2d_feb
_______________________________________________
Opticks-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-users



This message and any enclosures are intended only for the addressee.  Please

notify the sender by email if you are not the intended recipient.  If you are

not the intended recipient, you may not use, copy, disclose, or distribute this

message or its contents or enclosures to any other person and any such actions

may be unlawful.  Ball reserves the right to monitor and review all messages

and enclosures sent to or from this email address.

------------------------------------------------------------------------------
Everyone hates slow websites. So do we.
Make your web apps faster with AppDynamics
Download AppDynamics Lite for free today:
http://p.sf.net/sfu/appdyn_d2d_feb
_______________________________________________
Opticks-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-users
Loading...